org.apache.flume.serialization

## Interface Resettable

- All Known Subinterfaces:
    EventDeserializer, EventSerDe
  All Known Implementing Classes:
    AvroEventDeserializer, BlobDeserializer, LineDeserializer, ResettableFileInputStream, ResettableInputStream

      @InterfaceAudience.Public
      @InterfaceStability.Evolving
      public interface Resettable

  Defines an API for objects that can be mark()ed and reset() on arbitrary boundaries. Any implementation that has a limited buffer for the mark(), like `InputStream`, must not implement Resettable.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mark()` Indicate that the current position should be returned to in the case of `reset()` being called.
    `void` | `reset()` Return to the last marked position, or the beginning of the stream if `mark()` has never been called.

- - ### Method Detail

    - #### mark

          void mark()
                    throws IOException

      Indicate that the current position should be returned to in the case of `reset()` being called.
      Throws:
        `IOException`

    - #### reset

          void reset()
                     throws IOException

      Return to the last marked position, or the beginning of the stream if `mark()` has never been called.
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.